package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag192;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT192Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT192Creator mt192Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt192Creator= (MT192Creator) absMTCreator;
    }

    public void creator()
    {
        String tag20Value = mt192Creator.getTransactionReferenceNumber();
        mt192Creator.set("20", tag20Value);
    }
}
